<?php

/**
 * Subclass for representing a row from the 'katao_cart_product' table.
 *
 * @package lib.model
 */
class KataoCartProduct extends BaseKataoCartProduct {
    public function getProductPriceWithoutTaxes() {
        return round($this->getProductPriceEuro() * (1 + $this->getProductMargin()), 2);
    }

    public function getProductPriceWithTaxes() {
        return round($this->getProductPriceEuro() * (1 + $this->getProductMargin()) * (1 + $this->getProductTvaRate()), 2);
    }
}